Package org.eclipse.microprofile.fault.tolerance.tck.illegalConfig

# Class FallbackClientWithBothFallbacks

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.illegalConfig.FallbackClientWithBothFallbacks

@RequestScoped public class FallbackClientWithBothFallbacks extends Object
A client to demonstrate the fallback after doing the maximum retries

Author:
  Emily Jiang, John D. Ament

## Constructor Summary

Constructors
Constructor
Description
`FallbackClientWithBothFallbacks()`

## Method Summary

Modifier and Type
Method
Description
`int`
`serviceB()`
Retry 5 times and then fallback
`int`
`serviceBFallback()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackClientWithBothFallbacks

public FallbackClientWithBothFallbacks()

## Method Details

### serviceB

@Retry(maxRetries=4) @Fallback(value=IncompatibleFallbackHandler.class, fallbackMethod="serviceBFallback") public int serviceB()
Retry 5 times and then fallback

Returns:
  a dummy number

### serviceBFallback

public int serviceBFallback()